<div id="questions">
    <form #f="ngForm" (ngSubmit)="onSubmit(f)">
        <div class="panel panel-default" *ngFor="let billet of order.billets; index as billetNum">
            <div class="panel-heading">
                <h2>Billet #{{billetNum + 1}} - {{billet.product.name}}</h2>
            </div>
            <div class="panel-body">
                <div class="participants">
                    <div class="participant row"
                         *ngFor="let participant of participants(billet); index as i; first as isFirst; last as isLast;">
                        <div class="col-md-12"><h3>Participant #{{i + 1}}</h3></div>
                        <div *ngIf="order.state == 2 || participant.id <= 0" class="row col-md-12">
                            <div class="form-group col-md-6">
                                <label>Prénom <span class="text-warning">(requis)</span></label>
                                <input type="text" class="form-control" placeholder="Prénom" required="required"
                                       [name]="'first_name_'+billetNum+'_'+i" [disabled]="order.state !=2 && participant.id > 0"
                                       [(ngModel)]="participant.first_name">
                            </div>
                            <div class="form-group col-md-6">
                                <label>Nom <span class="text-warning">(requis)</span></label>
                                <input type="text" class="form-control" placeholder="Nom" required="required"
                                       [name]="'last_name_'+billetNum+'_'+i" [disabled]="order.state !=2 && participant.id > 0"
                                       [(ngModel)]="participant.last_name">
                            </div>
                            <div class="form-group col-md-6">
                                <label>Email <span class="text-warning">(requis)</span></label>
                                <input type="email" class="form-control" placeholder="Email" required="required"
                                       [name]="'email_'+billetNum+'_'+i" [disabled]="order.state !=2 && participant.id > 0"
                                       [(ngModel)]="participant.email">
                            </div>
                            <div class="form-group col-md-6">
                                <label>Téléphone <span class="text-warning">(requis)</span></label>
                                <input type="tel" class="form-control" placeholder="Téléphone" required="required"
                                       [name]="'phone_'+billetNum+'_'+i" [disabled]="order.state !=2 && participant.id > 0"
                                       [(ngModel)]="participant.phone">
                            </div>
                        </div>
                        <div *ngIf="participant.id > 0" class="row col-md-12">
                            <div class="form-group col-md-6">
                                <label>Prénom</label>
                                <h4>{{participant.first_name}}</h4>
                            </div>
                            <div class="form-group col-md-6">
                                <label>Nom</label>
                                <h4>{{participant.last_name}}</h4>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <app-question
                                    *ngFor="let question of billet.product.questions | questionTarget:'Participant'"
                                    [participant]="participant" [question]="question"
                                    [id]="question.id + '_' + billetNum + '_' + i"
                                    (avatar)="saveFile(10*billetNum+i,$event)"
                                    (answer)="updateAnswer($event)"></app-question>
                            <div style="display: none">{{participantsMap.set(10 * billetNum + i, participant)}}</div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <app-question
                                *ngFor="let question of billet.product.questions | questionTarget:'Billet'"
                                [billet]="billet" [question]="question" [id]="question.id + '_' + billetNum"
                                (answer)="updateAnswer($event)"></app-question>
                    </div>
                </div>
            </div>
        </div>
        <div class="panel panel-default" *ngIf="hasOrderQuestions()">
            <div class="panel-heading">
                <h2>Autres questions</h2>
            </div>
            <div class="panel-body">
                <div class="participants">
                    <div class="participant row"
                         *ngFor="let question of orderQuestions; index as i; first as isFirst; last as isLast;">
                        <div class="col-md-12">
                            <app-question [question]="question" (answer)="updateAnswer($event)"
                                          [id]="question.id"></app-question>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="m-t-2">
            <div class="row">
                <div class="col-md-3">
                    <app-go-back-button [order]="order"></app-go-back-button>
                </div>
                <div class="col-md-4 offset-md-1">
                    <app-cancel-order-button [order]="order"></app-cancel-order-button>
                </div>
                <div class="col-md-3 offset-md-1">
                    <button class="btn btn-primary btn-block">Suivant</button>
                </div>
            </div>
        </div>
    </form>

</div>
